import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Valid extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
    validate(packageToBeScanned: AnyJson): Promise<0 | 1 | 2>;
    clearDirectory(): Promise<void>;
}
